package com.shzg.project.worn.service;

import java.util.List;
import com.shzg.project.worn.domain.WornOutboundBill;

/**
 * 出库单据Service接口
 * 
 * @author shzg
 * @date 2026-04-08
 */
public interface IWornOutboundBillService 
{
    /**
     * 查询出库单据
     * 
     * @param id 出库单据主键
     * @return 出库单据
     */
    public WornOutboundBill selectWornOutboundBillById(Long id);

    /**
     * 查询出库单据列表
     * 
     * @param wornOutboundBill 出库单据
     * @return 出库单据集合
     */
    public List<WornOutboundBill> selectWornOutboundBillList(WornOutboundBill wornOutboundBill);

    /**
     * 新增出库单据
     * 
     * @param wornOutboundBill 出库单据
     * @return 结果
     */
    public int insertWornOutboundBill(WornOutboundBill wornOutboundBill);

    /**
     * 修改出库单据
     * 
     * @param wornOutboundBill 出库单据
     * @return 结果
     */
    public int updateWornOutboundBill(WornOutboundBill wornOutboundBill);

    /**
     * 批量删除出库单据
     * 
     * @param ids 需要删除的出库单据主键集合
     * @return 结果
     */
    public int deleteWornOutboundBillByIds(Long[] ids);

    /**
     * 删除出库单据信息
     * 
     * @param id 出库单据主键
     * @return 结果
     */
    public int deleteWornOutboundBillById(Long id);
    /**
     * 完成出库
     *
     * @param wornOutboundBill 出库单
     * @return 结果
     */
    int completeWornOutboundBill(WornOutboundBill wornOutboundBill);

}
